gr::radar::signal_generator_sync_pulse_c Class Reference

This block generates a signal for the synchronization of the USRP Echotimer in baseband. The signal is pulsed with a constant amplitude with various pulse length and wait samples in between. It is structured by alternating wait parts and burst parts and starting with the first wait part. The pulses are full real signals. More...

`#include <signal_generator_sync_pulse_c.h>`

Inheritance diagram for gr::radar::signal_generator_sync_pulse_c:

## Public Types

typedef std::shared_ptr< signal_generator_sync_pulse_c > | sptr

## Static Public Member Functions

static sptr | make (int packet_len, std::vector< int > pulse_len, std::vector< int > pulse_pause, float pulse_amplitude, const std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::signal_generator_sync_pulse_c.

## Detailed Description

This block generates a signal for the synchronization of the USRP Echotimer in baseband. The signal is pulsed with a constant amplitude with various pulse length and wait samples in between. It is structured by alternating wait parts and burst parts and starting with the first wait part. The pulses are full real signals.

Parameters

  packet_len | The packet length has to be longer or equal than the sum of pulse_len and pulse_pause.
  pulse_len | The length of the pulses are defined in a vector and given in number of samples. The pulses are generated alternating with the wait samples defined in pulse_pause.
  pulse_pause | The wait samples between pulses are defined in a vector. The first segment of the whole signal is the first element in the pulse_pause vector. This element can be zero.
  pulse_amplitude | Pulse amplitude of real signal
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<signal_generator_sync_pulse_c> gr::radar::signal_generator_sync_pulse_c::sptr

## Member Function Documentation

## make()

sptr gr::radar::signal_generator_sync_pulse_c::make | ( | int | packet_len,
|  | std::vector< int > | pulse_len,
|  | std::vector< int > | pulse_pause,
|  | float | pulse_amplitude,
|  | const std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::signal_generator_sync_pulse_c.

To avoid accidental use of raw pointers, radar::signal_generator_sync_pulse_c's constructor is in a private implementation class. radar::signal_generator_sync_pulse_c::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- signal_generator_sync_pulse_c.h